## gedit 3.18.3

=== debian/changelog ===
gedit (3.18.3-0ubuntu4) xenial; urgency=medium

  * debian/patches/unity_no_csd.patch:
    - Update to correctly handle XDG_CURRENT_DESKTOP

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 04 Mar 2016 12:29:44 +1300

gedit (3.18.3-0ubuntu3) xenial; urgency=medium

  * debian/patches/unity_no_csd.patch:
    don't use GtkHeaderBar decorations under Unity, they still create 
    integration issues and are too differents. That should fixes those issues
    - having duplicated decorations (lp: #1542129)
    - right click on decorations not providing common actions like move to
      workspace (lp: #1527592)
    - using local menus loose gedit ones (lp: #1518516)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 19 Feb 2016 17:03:09 +0100

gedit (3.18.3-0ubuntu2) xenial; urgency=medium

  * debian/control.in: Add explicit dependency on libpeas-1.0-0-python3loader.
    (LP: #1440504)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 15 Feb 2016 18:29:31 -0500

gedit (3.18.3-0ubuntu1) xenial; urgency=medium

  * New upstream version including some segfault fixes
    (lp: #1507490, #1523908)
  * debian/patches/git_theme_tweaks,
    debian/patches/extra_theme_tweaks.patch:
    - those changes are included in the new version
  * 0001-Use-the-OSX-menubar-layout-for-XFCE-Unity-etc.patch:
    - updated with the version commited to the upstream vcs

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Feb 2016 16:39:34 +0100

gedit (3.18.2-1ubuntu5) xenial; urgency=medium

  * No-change rebuild vs. new gnome-pkg-tools to fix desktop file for
    AppStream.
  * Bump BD gnome-pkg-tools to get the new one which gives us this fix.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 02 Feb 2016 15:51:04 +0000

gedit (3.18.2-1ubuntu4) xenial; urgency=medium

  * debian/patches/git_open_document_space.patch:
  * debian/patches/extra_theme_tweaks.patch:
    - include some of the theme tweaks in the common css instead of 
      the adwaita one, fixes the open dialog having its line shrinked
      (lp: #1515461) and improves a bit the look of statusbar and the 
      sidebar buttons
  * debian/patches/git_sidebar_buttons.patch:
    - display decoration in the sidebar when needed (lp: #1518517)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 24 Nov 2015 18:23:53 +0100

gedit (3.18.2-1ubuntu3) xenial; urgency=medium

  * 0001-Use-the-OSX-menubar-layout-for-XFCE-Unity-etc.patch:
    - updated list of files to translate to the template update works

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 24 Nov 2015 11:05:45 +0100

gedit (3.18.2-1ubuntu2) xenial; urgency=medium

  * debian/patches/git_untitled_document.patch:
    - change back the default document title to "Untitled Document",
      that change is in git but not in the 3.18 serie (lp: #1516405)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Nov 2015 09:49:30 +0100

gedit (3.18.2-1ubuntu1) xenial; urgency=medium

  * Resynchronize on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Nov 2015 19:25:34 +0100

gedit (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Nov 2015 14:59:54 +0100

gedit (3.18.1-1ubuntu1) xenial; urgency=medium

  * Newer upstream version and merge on Debian, includes those changes
    - code snippets plugin improvements (lp: #1335613)
    - implements a minimap widget (lp: #1302451)
    - don't close infobar after print preview is dismissed (lp: #929554)
    - some segfault fixes (lp: #928420)
    - save files even when backups can't be created (lp: #867923)
    - let you edit binary files (lp: #848253, #575500)
    - count underscores are part of a word (lp: #615506, #413360)
    - don't display warnings when saving after foccusing out (lp: #589906)
    - use correct printing margins (lp: #331077)
    - ctrl-T opens new tabs (lp: #301942)
    - hide print preview tooltips when moving the cursor (lp: #234711)
    - include word wrap option in the statusbar popover (lp: #118522)
  * debian/control.in:
    - don't Build-Depends on gnome-icon-theme-symbolic it's deprecated
    - gedit replaces gedit-common (<< 3.18.1-1ubuntu1)
    - updated the requirements
  * debian/patches/06_lp_401692.patch:
    - dropped, the change is included upstream now
  * debian/rules:
    - create compatiblity desktop file for upgraders
  * Remaining other changes
  * debian/rules:
    - Build without --Bsymbolic-functions to fix issues
  * debian/patches/0001-Use-the-OSX-menubar-layout-for-XFCE-Unity-etc.patch:
    - add traditional menubar (GNOME bug #741904)
  * debian/patches/02_add_keywords.patch:
    - Add new keywords for unity and gnome-shell
  * debian/patches/05_menu_label.patch:
    - Don't display in menu as "gedit Text Editor"
  * debian/patches/07_use_del_instead_ctrl_del.patch:
    - Use Delete, not Ctrl+Delete, to delete files in file browser
      side panel to match our Nautilus behavior (LP: #1163287)

  [ Lars Uebernickel ]
  * New upstream version (lp: #1339371)
  * debian/patches/01_gedit-bugreport-location.patch,
    debian/patches/02_add_keywords.patch,
    debian/patches/05_menu_label.patch:
    - update for new desktop file name
  * debian/patches/03_no_gnu_gettext.patch,
    debian/patches/06_lp_401692.patch,
    debian/patches/07_use_del_instead_ctrl_del.patch,
    debian/patches/08_multiarch_fallback.patch:
    - refresh
  * debian/patches/disable-warnings.patch:
    - dropped - should be fewer deprecation warnings now
  * debian/patches/00git_state_property_type.patch,
    debian/patches/fix_snippets_encoding.patch,
    debian/patches/fix_snippets_python34.patch,
    debian/patches/fix_snippet_warning.patch,
    debian/patches/git_encoding_combo.patch,
    debian/patches/git_filebrowser_toolbar.patch,
    debian/patches/git_get_start_sig.patch,
    debian/patches/git_save_run_tool_order.patch,
    debian/patches/git-search-hide-when-hitting-Esc.patch,
    debian/patches/git-search-use-new-GtkSearchEntry-signals.patch,
    debian/patches/git_select_mispelled_word.patch,


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gedit
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs (>= 0.4.90),
               debhelper (>= 9),
               gnome-pkg-tools (>= 0.19.5ubuntu2),
               dh-autoreconf,
               autotools-dev,
               intltool (>= 0.50.1),
               gsettings-desktop-schemas-dev,
               gtk-doc-tools (>= 1.0),
               libenchant-dev (>= 1.2.0),
               iso-codes (>= 0.35),
               libxml2-dev (>= 2.5.0),
               libglib2.0-dev (>= 2.44),
               libgtk-3-dev (>= 3.16),
               libgtksourceview-3.0-dev (>= 3.17.3),
               libpeas-dev (>= 1.14.1),
               libx11-dev,
               python3,
               python-gi-dev (>= 3.0.0),
               yelp-tools,
               gobject-introspection,
               libgirepository1.0-dev (>= 0.9.3),
               valac (>= 0.25.1)
Build-Depends-Indep: libglib2.0-doc,
                     libgtk-3-doc,
                     libgtksourceview-3.0-doc
Standards-Version: 3.9.6
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gedit/ubuntu
Homepage: https://wiki.gnome.org/Apps/Gedit

Package: gedit
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${gir:Depends},
         gedit-common (>= ${gnome:Version}),
         gedit-common (<< ${gnome:NextVersion}),
         gsettings-desktop-schemas,
         python3-gi (>= 3.0),
         python3-gi-cairo (>= 3.0),
         gir1.2-peas-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gir1.2-gtksource-3.0,
         libpeas-1.0-0-python3loader,
         iso-codes
Recommends: zenity,
            yelp
Suggests: gedit-plugins
Replaces: gedit-common (<< 3.18.1-1ubuntu1)
Description: official text editor of the GNOME desktop environment
 gedit is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors. gedit is a graphical application which
 supports editing multiple text files in one window (known sometimes as
 tabs or MDI).
 .
 gedit fully supports international text through its use of the Unicode
 UTF-8 encoding in edited files. Its core feature set includes syntax
 highlighting of source code, auto indentation and printing and print preview
 support.
 .
 gedit is also extensible through its plugin system, which currently
 includes support for spell checking, comparing files, viewing CVS
 ChangeLogs, and adjusting indentation levels.

Package: gedit-common
Architecture: all
Depends: ${misc:Depends}
Recommends: gedit
Description: official text editor of the GNOME desktop environment (support files)
 gedit is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors.
 .
 This package contains gedit's architecture-independent support files.

Package: gedit-dev
Architecture: any
Section: devel
Depends: ${misc:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         libgtksourceview-3.0-dev (>= 3.17.3),
         libpeas-dev (>= 1.14.1)
Description: official text editor of the GNOME desktop environment (development files)
 gedit is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors. gedit is a graphical application which
 supports editing multiple text files in one window (known sometimes as
 tabs or MDI).
 .
 gedit fully supports international text through its use of the Unicode
 UTF-8 encoding in edited files. Its core feature set includes syntax
 highlighting of source code, auto indentation and printing and print preview
 support.
 .
 gedit is also extensible through its plugin system, which currently
 includes support for spell checking, comparing files, viewing CVS
 ChangeLogs, and adjusting indentation levels.
 .
 This package is required to build plugins for gedit.

=== debian/rules ===
#!/usr/bin/make -f

# needed with the Ubuntu toolchain to avoid plugin issues
LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/gnome-pkg-tools/1/rules/make-compat-desktop-file.mk

DEB_PYTHON3_MODULE_PACKAGES = gedit

binary-install/gedit::
	cd debian/gedit/usr/share/gedit && mv gedit-bugreport.sh gedit-bugreport
	chmod 755 debian/gedit/usr/share/bug/gedit/script
	dh_python3 -pgedit
	dh_python3 -pgedit /usr/lib/*/gedit/plugins

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_MK_COMPAT_DESKTOP_gedit := $(CURDIR)/debian/gedit/usr/share/applications/org.gnome.gedit.desktop $(CURDIR)/debian/gedit/usr/share/applications/gedit.desktop

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

DEB_DH_MAKESHLIBS_ARGS_gedit += -X/usr/lib/$(DEB_HOST_MULTIARCH)/gedit

DEB_DH_GIREPOSITORY_ARGS_gedit += -ldebian/tmp/usr/share/gedit/gir-1.0 /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/girepository-1.0

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/gedit/([\d\.]+[02468])/gedit-([\d\.]+)\.tar\.xz

## gedit 3.22.0

=== debian/changelog ===
gedit (3.22.0-2) unstable; urgency=medium

  [ Pietro Battiston ]
  * Add debian/patches/09_fix_plugin_load_segfault.patch from upstream
    (Closes: #770153)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 02 Dec 2016 17:50:37 +0100

gedit (3.22.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Bump dh compat to 10 (automatic dh-autoreconf)
  * Add explicit gnome-common build-dependency (Closes: #837862)
  * Remove '*.la' and '__pycache__' files which are not to be shipped.
  * Remove usr/bin/gnome-text-editor symlink as installed by
    the upstream build system, as that symlink is already being
    registered in the debian alternatives system in postinst instead of
    shipped.
  * Use --fail-missing

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Sep 2016 21:18:07 +0200

gedit (3.21.90-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 13:33:19 +0200

gedit (3.21.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update (build-)dependencies according to configure.ac changes:
    - bump gtksourceview to >= 3.21.2
  * Have quilt refresh debian/patches/01_gedit-bugreport-location.patch

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 21 Aug 2016 23:00:08 +0200

gedit (3.20.2-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Drop gnome-icon-theme from the dependencies, do not
    force an icon theme and rely on the one installed by the metapackages
  * Call dh_python3 /usr/share/gedit/plugins and ensure proper python
    dependency for the gedit-common package

  [ Jeremy Bicha ]
  * Switch from cdbs to dh
  * Enable all hardening flags

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jun 2016 01:08:34 +0200

gedit (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 22:23:30 +0200

gedit (3.20.1-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Drop libenchant-dev (>= 1.2.0)
    - Drop iso-codes (>= 0.35)
    - Add (replacement for above) libgspell-1-dev (>= 0.2.5)
    - Bump libgtk-3-dev to (>= 3.19.0)
    - Bump libgtksourceview-3.0-dev to (>= 3.19.4)
  * Bump Standards-Version to 3.9.7
  * Fix debian/patches/08_multiarch_fallback.patch to apply again
  * Have quilt refresh remaining patches.
  * Add missing libsoup2.4-dev build-dependency
  * gedit-common: don't ship logo directory, now built into gresource.

  [ Rico Tzschichholz ]
  * gedit-common: Install application icon

  [ Michael Biebl ]
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 16:15:06 +0200

gedit (3.18.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump dependency on libgtksourceview-3.0-dev to (>= 3.18).

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Jan 2016 01:50:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,23 @@
 Source: gedit
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs (>= 0.4.90),
-               debhelper (>= 9),
-               gnome-pkg-tools (>= 0.19.5ubuntu2),
-               dh-autoreconf,
-               autotools-dev,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
+               gnome-pkg-tools (>= 0.10),
+               gnome-common,
                intltool (>= 0.50.1),
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.0),
-               libenchant-dev (>= 1.2.0),
-               iso-codes (>= 0.35),
+               libsoup2.4-dev,
+               libgspell-1-dev (>= 0.2.5),
                libxml2-dev (>= 2.5.0),
                libglib2.0-dev (>= 2.44),
-               libgtk-3-dev (>= 3.16),
-               libgtksourceview-3.0-dev (>= 3.17.3),
+               libgtk-3-dev (>= 3.19.0),
+               libgtksourceview-3.0-dev (>= 3.21.2),
                libpeas-dev (>= 1.14.1),
                libx11-dev,
-               python3,
+               python3 (>= 3.2.3),
                python-gi-dev (>= 3.0.0),
                yelp-tools,
                gobject-introspection,
@@ -33,9 +30,11 @@
 Build-Depends-Indep: libglib2.0-doc,
                      libgtk-3-doc,
                      libgtksourceview-3.0-doc
-Standards-Version: 3.9.6
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gedit/ubuntu
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gedit/
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gedit/
 Homepage: https://wiki.gnome.org/Apps/Gedit
+X-Python3-Version: >= 3.2
 
 Package: gedit
 Architecture: any
@@ -53,12 +52,10 @@
          gir1.2-gtk-3.0,
          gir1.2-pango-1.0,
          gir1.2-gtksource-3.0,
-         libpeas-1.0-0-python3loader,
          iso-codes
 Recommends: zenity,
             yelp
 Suggests: gedit-plugins
-Replaces: gedit-common (<< 3.18.1-1ubuntu1)
 Description: official text editor of the GNOME desktop environment
  gedit is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually
@@ -77,7 +74,7 @@
 
 Package: gedit-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: python3:any (>= 3.3.2-2~), ${misc:Depends}
 Recommends: gedit
 Description: official text editor of the GNOME desktop environment (support files)
  gedit is a text editor which supports most standard editor features,
@@ -92,7 +89,7 @@
 Depends: ${misc:Depends},
          gedit (>= ${gnome:Version}),
          gedit (<< ${gnome:NextVersion}),
-         libgtksourceview-3.0-dev (>= 3.17.3),
+         libgtksourceview-3.0-dev (>= 3.21.2),
          libpeas-dev (>= 1.14.1)
 Description: official text editor of the GNOME desktop environment (development files)
  gedit is a text editor which supports most standard editor features,

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

# Parallel breaks i18n https://bugzilla.gnome.org/770100

%:
	dh $@ --no-parallel --with gir,gnome,python3

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_python3:
	dh_python3
	dh_python3 /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/plugins
	dh_python3 /usr/share/gedit/plugins

override_dh_girepository:
	dh_girepository	-ldebian/tmp/usr/share/gedit/gir-1.0 \
		/usr/lib/$(DEB_HOST_MULTIARCH)/gedit/girepository-1.0

override_dh_install:
	# remove cruft
	find debian/tmp -name '*.la' -delete
	rm -rf debian/tmp/usr/lib/*/gedit/plugins/*/__pycache__/
	# remove gnome-text-editor symlink, it's registered in the
	# debian alternatives system instead. See postinst.
	rm -f debian/tmp/usr/bin/gnome-text-editor
	dh_install --fail-missing

## gedit 3.22.1

=== debian/changelog ===
gedit (3.22.1-1ubuntu1) artful; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + bump gnome-pkg-tools build-depends version for compatibility rule
        + gnome-pkg-tools (>= 0.19.5ubuntu2),
        + libgtk-3-dev -> (>= 3.21.3)
    - debian/rules:
      + create compatiblity desktop file for upgraders
      + Build without --Bsymbolic-functions to fix issues
    - debian/patches/05_menu_label.patch:
      + Don't display in menu as "gedit Text Editor"
    - debian/patches/unity_no_csd.patch:
      + don't use GtkHeaderBar decorations under Unity
  * Dropped change not needed after 16.04 LTS:
    - debian/control.in:
      + gedit replaces gedit-common (<< 3.18.1-1ubuntu1)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Aug 2017 17:04:55 -0400

gedit (3.22.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/09_fix_plugin_load_segfault.patch, merged upstream.
  * Add missing dh-python build-dependency.
  * Bump Standards-Version to 4.0.1.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Aug 2017 21:39:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Source: gedit
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
-               gnome-pkg-tools (>= 0.10),
+               dh-python,
+               gnome-pkg-tools (>= 0.19.5ubuntu2),
                gnome-common,
                intltool (>= 0.50.1),
                gsettings-desktop-schemas-dev,
@@ -30,9 +32,8 @@
 Build-Depends-Indep: libglib2.0-doc,
                      libgtk-3-doc,
                      libgtksourceview-3.0-doc
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gedit/
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gedit/
+Standards-Version: 4.0.1
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gedit/ubuntu
 Homepage: https://wiki.gnome.org/Apps/Gedit
 X-Python3-Version: >= 3.2

## gedit 3.28.1

=== debian/changelog ===
gedit (3.28.1-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
   - debian/rules:
       + Make a compatibility desktop file for upgraders

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Apr 2018 13:26:00 -0400

gedit (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 12 Apr 2018 13:46:28 -0400

gedit (3.28.0-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
   - debian/rules:
       + Make a compatibility desktop file for upgraders

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Mar 2018 09:04:28 -0400

gedit (3.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Mar 2018 07:49:10 -0400

gedit (3.27.92-1) unstable; urgency=medium

  * New upstream release candidate
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 04 Mar 2018 13:32:33 -0500

gedit (3.27.90-1) experimental; urgency=medium

  * New upstream release
  * Drop 0004-Allow-close-button-in-the-left-corner.patch: Applied
  * debian/gedit.install: Update AppStream metadata install location

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 07 Feb 2018 10:27:19 -0500

gedit (3.22.1-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Bump minimum GTK+ to 3.21.3 per configure.ac
  * Cherry-pick 0004-Allow-close-button-in-the-left-corner.patch:
    - Fix window buttons when they are set to the left and side panel
      is enabled

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 24 Jan 2018 16:25:48 -0500

gedit (3.22.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Explicitly build without -Bsymbolic-functions to fix plugin issues

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 11:36:32 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+
+# needed with the Ubuntu toolchain to avoid plugin issues
+export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions
 
 # Parallel breaks i18n https://bugzilla.gnome.org/770100
 
@@ -23,9 +25,15 @@
 
 override_dh_install:
 	# remove cruft
-	find debian/tmp -name '*.la' -delete
+	find debian/tmp -name '*.la' -print -delete
 	rm -rf debian/tmp/usr/lib/*/gedit/plugins/*/__pycache__/
 	# remove gnome-text-editor symlink, it's registered in the
 	# debian alternatives system instead. See postinst.
 	rm -f debian/tmp/usr/bin/gnome-text-editor
-	dh_install --fail-missing
+	dh_install
+	pkg-gnome-compat-desktop-file \
+		$(CURDIR)/debian/gedit/usr/share/applications/org.gnome.gedit.desktop \
+		$(CURDIR)/debian/gedit/usr/share/applications/gedit.desktop
+
+override_dh_missing:
+	dh_missing --fail-missing

## gedit 3.30.1

=== debian/changelog ===
gedit (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Sep 2018 14:00:22 -0400

gedit (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Sep 2018 19:40:34 -0400

gedit (3.29.90-1) experimental; urgency=medium

  * New upstream development release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Aug 2018 08:49:51 -0400

## gedit 3.30.2

=== debian/changelog ===
gedit (3.30.2-2) unstable; urgency=medium

  * debian/patches/document-selector-make-search-caseless.patch:
    - 'document selector: make search caseless', it makes the filter in
      the open document work in a more logical way (lp: #1800179)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 Dec 2018 16:32:49 +0100

gedit (3.30.2-1) unstable; urgency=medium

  * New upstream release (LP: #1799053)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Oct 2018 09:46:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gedit
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-python,
-               gnome-pkg-tools (>= 0.19.5ubuntu2),
+               gnome-pkg-tools (>= 0.10),
                gnome-common,
                intltool (>= 0.50.1),
                gsettings-desktop-schemas-dev,
@@ -19,7 +18,7 @@
                libgspell-1-dev (>= 0.2.5),
                libxml2-dev (>= 2.5.0),
                libglib2.0-dev (>= 2.44),
-               libgtk-3-dev (>= 3.19.0),
+               libgtk-3-dev (>= 3.21.3),
                libgtksourceview-3.0-dev (>= 3.21.2),
                libpeas-dev (>= 1.14.1),
                libx11-dev,
@@ -32,8 +31,9 @@
 Build-Depends-Indep: libglib2.0-doc,
                      libgtk-3-doc,
                      libgtksourceview-3.0-doc
-Standards-Version: 4.0.1
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gedit/ubuntu
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/gedit
+Vcs-Git: https://salsa.debian.org/gnome-team/gedit.git
 Homepage: https://wiki.gnome.org/Apps/Gedit
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,6 @@
 	# debian alternatives system instead. See postinst.
 	rm -f debian/tmp/usr/bin/gnome-text-editor
 	dh_install
-	pkg-gnome-compat-desktop-file \
-		$(CURDIR)/debian/gedit/usr/share/applications/org.gnome.gedit.desktop \
-		$(CURDIR)/debian/gedit/usr/share/applications/gedit.desktop
 
 override_dh_missing:
 	dh_missing --fail-missing

## gedit 3.31.92

=== debian/changelog ===
gedit (3.31.92-1) experimental; urgency=medium

  * New upstream release
    - Fix segfault in open document selector (lp: #1817459)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Mar 2019 17:09:34 +0100

gedit (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build with meson
  * Switch from GtkSourceView 3 to GtkSourceView 4
  * Enable parallel builds again now that we don't use intltool
  * debian/gedit-common.install: gconf conversion file has been dropped
  * debian/gedit.docs: README is now README.md
  * Add dh_shlibdeps override for gedit's private library
  * Drop patches applied in new release:
    - 03_no_gnu_gettext.patch
    - document-selector-make-search-caseless.patch

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Feb 2019 19:31:54 -0500

## gedit 3.32.0

=== debian/changelog ===
gedit (3.32.0-3) experimental; urgency=medium

  [ Andrea Azzarone ]
  * d/p/build-Reintroduce-enable-gvfs-metadata-option.patch:
    - Reintroduce enable-gvfs-metadata option. (LP: #1822753)
  * d/p/gitlab_idle_handling.patch:
    - Patch refreshed automatically by gbp pq import/export.
  * d/p/series:
    - Added d/p/build-Reintroduce-enable-gvfs-metadata-option.patch

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 16 Apr 2019 16:19:15 +0100

gedit (3.32.0-2) experimental; urgency=medium

  * debian/oatches/gitlab_idle_handling.patch:
    - use gitlab pr#34's patch to fix an incorrect handling of idle 
      callbacks, thanks Andrea Azzarone (lp: #1646762)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Apr 2019 11:32:07 +0200

gedit (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Mar 2019 21:10:18 -0400

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,26 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
+               appstream-util <!nocheck>,
+               desktop-file-utils <!nocheck>,
                dh-python,
                gnome-pkg-tools (>= 0.10),
-               gnome-common,
-               intltool (>= 0.50.1),
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.0),
+               itstool,
                libsoup2.4-dev,
                libgspell-1-dev (>= 0.2.5),
                libxml2-dev (>= 2.5.0),
                libglib2.0-dev (>= 2.44),
                libgtk-3-dev (>= 3.21.3),
-               libgtksourceview-3.0-dev (>= 3.21.2),
+               libgtksourceview-4-dev,
                libpeas-dev (>= 1.14.1),
                libx11-dev,
+               meson (>= 0.46.0),
                python3 (>= 3.2.3),
                python-gi-dev (>= 3.0.0),
-               yelp-tools,
                gobject-introspection,
                libgirepository1.0-dev (>= 0.9.3),
                valac (>= 0.25.1)
@@ -52,7 +53,7 @@
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
          gir1.2-pango-1.0,
-         gir1.2-gtksource-3.0,
+         gir1.2-gtksource-4,
          iso-codes
 Recommends: zenity,
             yelp
@@ -90,7 +91,7 @@
 Depends: ${misc:Depends},
          gedit (>= ${gnome:Version}),
          gedit (<< ${gnome:NextVersion}),
-         libgtksourceview-3.0-dev (>= 3.21.2),
+         libgtksourceview-4-dev,
          libpeas-dev (>= 1.14.1)
 Description: official text editor of the GNOME desktop environment (development files)
  gedit is a text editor which supports most standard editor features,

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,11 @@
 # needed with the Ubuntu toolchain to avoid plugin issues
 export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions
 
-# Parallel breaks i18n https://bugzilla.gnome.org/770100
-
 %:
-	dh $@ --no-parallel --with gir,gnome,python3
+	dh $@ --with gir,gnome,python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-gtk-doc
+	dh_auto_configure -- -Ddocumentation=true
 
 override_dh_python3:
 	dh_python3
@@ -21,7 +19,8 @@
 
 override_dh_girepository:
 	dh_girepository	-ldebian/tmp/usr/share/gedit/gir-1.0 \
-		/usr/lib/$(DEB_HOST_MULTIARCH)/gedit/girepository-1.0
+		/usr/lib/$(DEB_HOST_MULTIARCH)/gedit/girepository-1.0 \
+		/usr/lib/$(DEB_HOST_MULTIARCH)/gedit
 
 override_dh_install:
 	# remove cruft
@@ -34,3 +33,6 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_shlibdeps:
+	dh_shlibdeps -Lgedit-3.14 -l/usr/lib/$(DEB_HOST_MULTIARCH)/gedit

## gedit 3.34.0

=== debian/changelog ===
gedit (3.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 16:02:08 +0200

gedit (3.33.90-1) experimental; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release
  * debian/gedit.install: do not install gedit-bugreport.sh (removed upstream)

  [ Iain Lane ]
  * Drop 01_gedit-bugreport-location.patch. It was patching the location of
    the bugreport script, which has been dropped.
  * gitlab_idle_handling.patch,
    build-Reintroduce-enable-gvfs-metadata-option.patch: Drop. These have been
    merged upstream.

 -- Iain Lane <laney@debian.org>  Tue, 20 Aug 2019 12:31:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 11),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,

## gedit 3.36.0

=== debian/changelog ===
gedit (3.36.0-3) unstable; urgency=medium

  * debian/rules: Still generate the shlibs file for the private library so
    the plugins can link against it

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 15:11:01 +0100

gedit (3.36.0-2) unstable; urgency=medium

  * debian/rules: Fix FTBFS when only building arch any packages, the
    externaltools scripts are in an arch:all package

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 13:38:16 +0100

gedit (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control.in: Bump libtepl-4-dev to 4.4
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Bump debhelper version to 12
  * debian/control.in: Remove unneeded X-Python3-Version field
  * debian/control.in: Add libatk1.0-doc and libpeas-doc to the BDI so the
    remaining links in the documentation are properly resolved
  * debian/rules: Override dh_makeshlibs to exclude gedit private lib path
  * debian/rules: Remove the -L option from dh_shlibdeps overrides, there is
    not package called gedit-3.14
  * debian/rules: Make the scripts of externaltools plugin executable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 13:01:54 +0100

gedit (3.35.90-1) experimental; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release
  * debian/control.in:
    - drop the build dependency on libxml2-dev
    - add build dependencies on libtepl-4-dev, libamtk-5-dev and libuchardet-dev
    - drop the build dependency on libsoup2.4-dev (needed only for the
      checkupdate plugin on Windows)
  * debian/rules: rename the 'documentation' build option to 'gtk_doc'

  [ Will Thompson ]
  * debian/control.in: build-depend on libgtksourceview-4-doc to match the
    library version used since 3.31.90-1.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 17 Feb 2020 15:50:20 +0000

## gedit 3.36.1

=== meson_options.txt ===
option('introspection',
       type: 'boolean', value: true,
       description: 'Generate GObject Introspection data (requires gobject-introspection)')

option('vapi',
       type: 'boolean', value: true,
       description: 'Generate vapi data for Vala (requires vapigen)')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Build API reference for plugins (requires gtk-doc)')

# This option exists for the developers, to speed up the install.
option('user_documentation',
       type: 'boolean', value: true,
       description: 'Build user documentation')

=== debian/changelog ===
gedit (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 24 Mar 2020 19:10:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,57 +6,58 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
-               appstream-util <!nocheck>,
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: appstream-util <!nocheck>,
+               debhelper-compat (= 12),
                desktop-file-utils <!nocheck>,
                dh-python,
                gnome-pkg-tools (>= 0.10),
+               gobject-introspection,
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.0),
                itstool,
-               libsoup2.4-dev,
+               libamtk-5-dev (>= 5.0),
+               libgirepository1.0-dev (>= 0.9.3),
+               libglib2.0-dev (>= 2.44),
                libgspell-1-dev (>= 0.2.5),
-               libxml2-dev (>= 2.5.0),
-               libglib2.0-dev (>= 2.44),
                libgtk-3-dev (>= 3.21.3),
                libgtksourceview-4-dev,
                libpeas-dev (>= 1.14.1),
+               libtepl-4-dev (>= 4.4),
+               libuchardet-dev,
                libx11-dev,
                meson (>= 0.46.0),
+               python-gi-dev (>= 3.0.0),
                python3 (>= 3.2.3),
-               python-gi-dev (>= 3.0.0),
-               gobject-introspection,
-               libgirepository1.0-dev (>= 0.9.3),
                valac (>= 0.25.1)
-Build-Depends-Indep: libglib2.0-doc,
+Build-Depends-Indep: libatk1.0-doc,
+                     libglib2.0-doc,
                      libgtk-3-doc,
-                     libgtksourceview-3.0-doc
-Standards-Version: 4.2.1
+                     libgtksourceview-4-doc,
+                     libpeas-doc
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gedit
 Vcs-Git: https://salsa.debian.org/gnome-team/gedit.git
 Homepage: https://wiki.gnome.org/Apps/Gedit
-X-Python3-Version: >= 3.2
 
 Package: gedit
 Architecture: any
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends},
-         ${gir:Depends},
+Depends: gedit-common (<< ${gnome:NextVersion}),
          gedit-common (>= ${gnome:Version}),
-         gedit-common (<< ${gnome:NextVersion}),
+         gir1.2-glib-2.0,
+         gir1.2-gtk-3.0,
+         gir1.2-gtksource-4,
+         gir1.2-pango-1.0,
+         gir1.2-peas-1.0,
          gsettings-desktop-schemas,
+         iso-codes,
          python3-gi (>= 3.0),
          python3-gi-cairo (>= 3.0),
-         gir1.2-peas-1.0,
-         gir1.2-glib-2.0,
-         gir1.2-gtk-3.0,
-         gir1.2-pango-1.0,
-         gir1.2-gtksource-4,
-         iso-codes
-Recommends: zenity,
-            yelp
+         ${gir:Depends},
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Recommends: yelp, zenity
 Suggests: gedit-plugins
 Description: official text editor of the GNOME desktop environment
  gedit is a text editor which supports most standard editor features,
@@ -88,11 +89,11 @@
 Package: gedit-dev
 Architecture: any
 Section: devel
-Depends: ${misc:Depends},
+Depends: gedit (<< ${gnome:NextVersion}),
          gedit (>= ${gnome:Version}),
-         gedit (<< ${gnome:NextVersion}),
          libgtksourceview-4-dev,
-         libpeas-dev (>= 1.14.1)
+         libpeas-dev (>= 1.14.1),
+         ${misc:Depends}
 Description: official text editor of the GNOME desktop environment (development files)
  gedit is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually

## gedit 3.36.2

=== debian/changelog ===
gedit (3.36.2-0ubuntu1) focal; urgency=medium

  * New upstream release (lp: #1875593)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Apr 2020 11:03:27 +0200

## gedit 3.38.0

=== debian/changelog ===
gedit (3.38.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control{,.in}:
    - Bump libglib2.0-dev build dependency requirement to 2.64
    - Bump libgspell-1-dev build dependency requirement to 1.0
    - Bump libgtk-3-dev build dependency requirement to 3.22
    - Bump meson build dependency requirement to 0.53
    - Upgrade the libtepl-4-dev build dependency to libtepl-5-dev
    - Remove the following build dependencies: libuchardet-dev and libx11-dev
    - Add the following runtime dependency to the gedit-dev package, to
      reflect the contents of the pc file and the public headers: libtepl-5-dev
  * debian/patches/08_multiarch_fallback.patch: update patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 07 Oct 2020 09:55:52 +0100

## gedit 3.38.1

=== meson_options.txt ===
option(
  'gtk_doc',
  type: 'boolean', value: false,
  description: 'Build API reference for plugins (requires gtk-doc)'
)

# If this option is kept to false, then it's an automatic behavior: if the
# third party program is found, then the test is defined.
# Setting this option to true will stop the configure phase with a hard error
# if a third party program is not found and is required to define a test.
option(
  'require_all_tests',
  type: 'boolean', value: false,
  description: 'Require that all tests can be run, even those that depend on third party programs'
)

# This option exists for the developers, to speed up the install.
option(
  'user_documentation',
  type: 'boolean', value: true,
  description: 'Build user documentation'
)

option('plugin_externaltools', type: 'boolean', value: true)

=== debian/changelog ===
gedit (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Dec 2020 18:13:34 +0100

=== debian/control ===
--- 
+++ 
@@ -18,15 +18,13 @@
                itstool,
                libamtk-5-dev (>= 5.0),
                libgirepository1.0-dev (>= 0.9.3),
-               libglib2.0-dev (>= 2.44),
-               libgspell-1-dev (>= 0.2.5),
-               libgtk-3-dev (>= 3.21.3),
+               libglib2.0-dev (>= 2.64),
+               libgspell-1-dev (>= 1.0),
+               libgtk-3-dev (>= 3.22),
                libgtksourceview-4-dev,
                libpeas-dev (>= 1.14.1),
-               libtepl-4-dev (>= 4.4),
-               libuchardet-dev,
-               libx11-dev,
-               meson (>= 0.46.0),
+               libtepl-5-dev (>= 5.0),
+               meson (>= 0.53),
                python-gi-dev (>= 3.0.0),
                python3 (>= 3.2.3),
                valac (>= 0.25.1)
@@ -93,6 +91,7 @@
          gedit (>= ${gnome:Version}),
          libgtksourceview-4-dev,
          libpeas-dev (>= 1.14.1),
+         libtepl-5-dev (>= 5.0),
          ${misc:Depends}
 Description: official text editor of the GNOME desktop environment (development files)
  gedit is a text editor which supports most standard editor features,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@ --with gir,gnome,python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Ddocumentation=true
+	dh_auto_configure -- -Dgtk_doc=true
 
 override_dh_python3:
 	dh_python3
@@ -31,8 +31,15 @@
 	rm -f debian/tmp/usr/bin/gnome-text-editor
 	dh_install
 
+override_dh_fixperms-indep:
+	dh_fixperms -i
+	chmod 0755 debian/gedit-common/usr/share/gedit/plugins/externaltools/tools/*
+
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_shlibdeps:
-	dh_shlibdeps -Lgedit-3.14 -l/usr/lib/$(DEB_HOST_MULTIARCH)/gedit
+	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/gedit
+
+override_dh_makeshlibs:
+	dh_makeshlibs --no-scripts

## gedit 40.1

=== debian/changelog ===
gedit (40.1-1) experimental; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release
  * debian/patches/upstream-fa587e0-deteplification.patch: backport upstream
    commit from master branch to remove the dependency on Tepl
    (https://gitlab.gnome.org/GNOME/gedit/-/commit/fa587e0)
  * debian/control{,.in}:
    - remove build dependency on libtepl-5-dev and libamtk-5-dev
    - bump Standards-Version to 4.5.1 (no changes required)

  [ Iain Lane ]
  * control: BD on gnome-pkg-tools 22.
    To support the new GNOME versioning scheme properly
  * control: trivial: Add BD on libxml2-dev.
    This seems to be pulled in transitively by something else, but it's a
    direct requirement of gedit, so let's BD on it directly.

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 23 Jun 2021 10:22:27 +0100

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,18 @@
                debhelper-compat (= 12),
                desktop-file-utils <!nocheck>,
                dh-python,
-               gnome-pkg-tools (>= 0.10),
+               gnome-pkg-tools (>= 0.22),
                gobject-introspection,
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.0),
                itstool,
-               libamtk-5-dev (>= 5.0),
                libgirepository1.0-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.64),
                libgspell-1-dev (>= 1.0),
                libgtk-3-dev (>= 3.22),
                libgtksourceview-4-dev,
                libpeas-dev (>= 1.14.1),
-               libtepl-5-dev (>= 5.0),
+               libxml2-dev (>= 2.5.0),
                meson (>= 0.53),
                python-gi-dev (>= 3.0.0),
                python3 (>= 3.2.3),
@@ -33,7 +32,7 @@
                      libgtk-3-doc,
                      libgtksourceview-4-doc,
                      libpeas-doc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gedit
 Vcs-Git: https://salsa.debian.org/gnome-team/gedit.git
 Homepage: https://wiki.gnome.org/Apps/Gedit
@@ -91,7 +90,6 @@
          gedit (>= ${gnome:Version}),
          libgtksourceview-4-dev,
          libpeas-dev (>= 1.14.1),
-         libtepl-5-dev (>= 5.0),
          ${misc:Depends}
 Description: official text editor of the GNOME desktop environment (development files)
  gedit is a text editor which supports most standard editor features,
